Delete payout method
curl --request DELETE \
--url https://api-staging.stablestack.com/api/payout/methods/{payout_method_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e"
}
'import requests
url = "https://api-staging.stablestack.com/api/payout/methods/{payout_method_id}"
payload = { "customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({customer_id: '85b148ab-3f6b-4d55-917f-3c8de668a48e'})
};
fetch('https://api-staging.stablestack.com/api/payout/methods/{payout_method_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Merchant payout method deleted successfully"
}Beneficiary
Delete Payout Method
API reference for deleting payout methods
DELETE
/
payout
/
methods
/
{payout_method_id}
Delete payout method
Permanently deletes a payout method.
Key Features:
- Deletes both merchant-owned and customer-specific payout methods
- For merchant methods: No request body required
- For customer methods: Must include
customer_idin request body - Returns appropriate success message based on method ownership
- Returns 404 if payout method doesn’t exist or access denied
Request:
Path Parameters:payout_method_id: UUID of the payout method to delete
{
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e"
}
Headers
Path Parameters
ID of the payout method to delete
Body
application/json
Required only when deleting customer-specific payout method
Example:
"85b148ab-3f6b-4d55-917f-3c8de668a48e"